.TH "Core functionality" 3 "28 Jul 2005" "discover" \" -*- nroff -*-
.ad l
.nh
.SH NAME
Core functionality \- 
.SS "Functions"

.in +1c
.ti -1c
.RI "\fBdiscover_error_t\fP * \fBdiscover_error_new\fP (void)"
.br
.ti -1c
.RI "void * \fB_discover_create_message\fP (\fBdiscover_error_t\fP **status, char *message)"
.br
.ti -1c
.RI "void \fBdiscover_error_free\fP (\fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "char * \fBdiscover_strerror\fP (\fBdiscover_error_t\fP *err)"
.br
.ti -1c
.RI "int \fBdiscover_major_version\fP (void)"
.br
.ti -1c
.RI "int \fBdiscover_minor_version\fP (void)"
.br
.ti -1c
.RI "int \fBdiscover_micro_version\fP (void)"
.br
.in -1c
.SH "Function Documentation"
.PP 
.SS "void* _discover_create_message (\fBdiscover_error_t\fP ** status, char * message)"
.PP
Allocate memory for a char * variable. This routine was written for discover_error_t struct. 
.PP
Definition at line 82 of file core.c.
.PP
Referenced by discover_error_new().
.SS "void discover_error_free (\fBdiscover_error_t\fP * status)"
.PP
Free a discover_error_t structure. 
.PP
Definition at line 95 of file core.c.
.PP
References discover_error::message.
.SS "\fBdiscover_error_t\fP* discover_error_new (void)"
.PP
Allocate and initialize a discover_error_t structure. 
.PP
Definition at line 68 of file core.c.
.PP
References _discover_create_message(), discover_error::code, discover_error::create_message, and discover_error::message.
.SS "int discover_major_version (void)"
.PP
Get the major version number. 
.PP
Definition at line 124 of file core.c.
.SS "int discover_micro_version (void)"
.PP
Get the micro version number. 
.PP
Definition at line 142 of file core.c.
.SS "int discover_minor_version (void)"
.PP
Get the minor version number. 
.PP
Definition at line 133 of file core.c.
.SS "char* discover_strerror (\fBdiscover_error_t\fP * err)"
.PP
Convert an error code to a human-readable string localized according to the current locale (XXX: no i18n yet).
.PP
\fBParameters:\fP
.RS 4
\fIerr\fP Error code to convert 
.RE
.PP

.PP
Definition at line 111 of file core.c.
.PP
References discover_error::code.
